### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  commentId: T:adas_core.Domain.Models.MongoModels.SectionBoxLayout
  id: SectionBoxLayout
  parent: adas_core.Domain.Models.MongoModels
  children:
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle
  - adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type
  langs:
  - csharp
  - vb
  name: SectionBoxLayout
  nameWithType: SectionBoxLayout
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SectionBoxLayout
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1126
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  summary: Represents a layout configuration for arranging section boxes.
  example: []
  syntax:
    content: public class SectionBoxLayout
    content.vb: Public Class SectionBoxLayout
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type
  id: Type
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Type
  nameWithType: SectionBoxLayout.Type
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Type
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1128
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public DisplayConfigEnums.RowType Type { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Enums.DisplayConfigEnums.RowType
    content.vb: Public Property Type As DisplayConfigEnums.RowType
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name
  id: Name
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Name
  nameWithType: SectionBoxLayout.Name
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Name
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1129
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Name { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Name As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon
  id: Icon
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Icon
  nameWithType: SectionBoxLayout.Icon
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Icon
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1130
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Icon { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Icon As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn
  id: GridColumn
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: GridColumn
  nameWithType: SectionBoxLayout.GridColumn
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: GridColumn
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1131
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public int? GridColumn { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Int32}
    content.vb: Public Property GridColumn As Integer?
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop
  id: PaddingTop
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: PaddingTop
  nameWithType: SectionBoxLayout.PaddingTop
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PaddingTop
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1132
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? PaddingTop { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PaddingTop As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom
  id: PaddingBottom
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: PaddingBottom
  nameWithType: SectionBoxLayout.PaddingBottom
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PaddingBottom
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1133
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? PaddingBottom { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PaddingBottom As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft
  id: PaddingLeft
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: PaddingLeft
  nameWithType: SectionBoxLayout.PaddingLeft
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PaddingLeft
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1134
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? PaddingLeft { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PaddingLeft As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight
  id: PaddingRight
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: PaddingRight
  nameWithType: SectionBoxLayout.PaddingRight
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: PaddingRight
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1135
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? PaddingRight { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property PaddingRight As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor
  id: BorderColor
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: BorderColor
  nameWithType: SectionBoxLayout.BorderColor
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BorderColor
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1136
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? BorderColor { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property BorderColor As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth
  id: BorderWidth
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: BorderWidth
  nameWithType: SectionBoxLayout.BorderWidth
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BorderWidth
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1137
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? BorderWidth { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property BorderWidth As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle
  id: BorderStyle
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: BorderStyle
  nameWithType: SectionBoxLayout.BorderStyle
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BorderStyle
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1138
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? BorderStyle { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property BorderStyle As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius
  id: BorderRadius
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: BorderRadius
  nameWithType: SectionBoxLayout.BorderRadius
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BorderRadius
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1139
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? BorderRadius { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property BorderRadius As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion
  id: HProportion
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: HProportion
  nameWithType: SectionBoxLayout.HProportion
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: HProportion
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1140
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public double? HProportion { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Double}
    content.vb: Public Property HProportion As Double?
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor
  id: BgColor
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: BgColor
  nameWithType: SectionBoxLayout.BgColor
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: BgColor
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1141
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? BgColor { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property BgColor As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl
  id: SectionUrl
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: SectionUrl
  nameWithType: SectionBoxLayout.SectionUrl
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: SectionUrl
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1142
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? SectionUrl { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property SectionUrl As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight
  id: MinHeight
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: MinHeight
  nameWithType: SectionBoxLayout.MinHeight
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: MinHeight
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1143
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? MinHeight { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property MinHeight As String
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle
  id: Subtitle
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Subtitle
  nameWithType: SectionBoxLayout.Subtitle
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Subtitle
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1144
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public bool? Subtitle { get; set; }
    parameters: []
    return:
      type: System.Nullable{System.Boolean}
    content.vb: Public Property Subtitle As Boolean?
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions
  id: Conditions
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Conditions
  nameWithType: SectionBoxLayout.Conditions
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Conditions
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1145
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public ConditionsConfig? Conditions { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.MongoModels.ConditionsConfig
    content.vb: Public Property Conditions As ConditionsConfig
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction
  id: Direction
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Direction
  nameWithType: SectionBoxLayout.Direction
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Direction
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1146
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public DisplayConfigEnums.DirectionEnum Direction { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum
    content.vb: Public Property Direction As DisplayConfigEnums.DirectionEnum
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction*
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows
  commentId: P:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows
  id: Rows
  parent: adas_core.Domain.Models.MongoModels.SectionBoxLayout
  langs:
  - csharp
  - vb
  name: Rows
  nameWithType: SectionBoxLayout.Rows
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/DisplayConfig.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Rows
    path: ../../adas-core.Domain/Models/MongoModels/DisplayConfig.cs
    startLine: 1147
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public List<RowBoxLayout>? Rows { get; set; }
    parameters: []
    return:
      type: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.RowBoxLayout}
    content.vb: Public Property Rows As List(Of RowBoxLayout)
  overload: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows*
references:
- uid: adas_core.Domain.Models.MongoModels
  commentId: N:adas_core.Domain.Models.MongoModels
  href: adas_core.html
  name: adas_core.Domain.Models.MongoModels
  nameWithType: adas_core.Domain.Models.MongoModels
  fullName: adas_core.Domain.Models.MongoModels
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Type
  name: Type
  nameWithType: SectionBoxLayout.Type
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Type
- uid: adas_core.Domain.Enums.DisplayConfigEnums.RowType
  commentId: T:adas_core.Domain.Enums.DisplayConfigEnums.RowType
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.DisplayConfigEnums.html
  name: DisplayConfigEnums.RowType
  nameWithType: DisplayConfigEnums.RowType
  fullName: adas_core.Domain.Enums.DisplayConfigEnums.RowType
  spec.csharp:
  - uid: adas_core.Domain.Enums.DisplayConfigEnums
    name: DisplayConfigEnums
    href: adas_core.Domain.Enums.DisplayConfigEnums.html
  - name: .
  - uid: adas_core.Domain.Enums.DisplayConfigEnums.RowType
    name: RowType
    href: adas_core.Domain.Enums.DisplayConfigEnums.RowType.html
  spec.vb:
  - uid: adas_core.Domain.Enums.DisplayConfigEnums
    name: DisplayConfigEnums
    href: adas_core.Domain.Enums.DisplayConfigEnums.html
  - name: .
  - uid: adas_core.Domain.Enums.DisplayConfigEnums.RowType
    name: RowType
    href: adas_core.Domain.Enums.DisplayConfigEnums.RowType.html
- uid: adas_core.Domain.Enums
  commentId: N:adas_core.Domain.Enums
  href: adas_core.html
  name: adas_core.Domain.Enums
  nameWithType: adas_core.Domain.Enums
  fullName: adas_core.Domain.Enums
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Enums
    name: Enums
    href: adas_core.Domain.Enums.html
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Name
  name: Name
  nameWithType: SectionBoxLayout.Name
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Name
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Icon
  name: Icon
  nameWithType: SectionBoxLayout.Icon
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Icon
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_GridColumn
  name: GridColumn
  nameWithType: SectionBoxLayout.GridColumn
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.GridColumn
- uid: System.Nullable{System.Int32}
  commentId: T:System.Nullable{System.Int32}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.int32
  name: int?
  nameWithType: int?
  fullName: int?
  nameWithType.vb: Integer?
  fullName.vb: Integer?
  name.vb: Integer?
  spec.csharp:
  - uid: System.Int32
    name: int
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
  spec.vb:
  - uid: System.Int32
    name: Integer
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.int32
  - name: '?'
- uid: System.Nullable`1
  commentId: T:System.Nullable`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  name: Nullable<T>
  nameWithType: Nullable<T>
  fullName: System.Nullable<T>
  nameWithType.vb: Nullable(Of T)
  fullName.vb: System.Nullable(Of T)
  name.vb: Nullable(Of T)
  spec.csharp:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Nullable`1
    name: Nullable
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.nullable-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_PaddingTop
  name: PaddingTop
  nameWithType: SectionBoxLayout.PaddingTop
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingTop
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_PaddingBottom
  name: PaddingBottom
  nameWithType: SectionBoxLayout.PaddingBottom
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingBottom
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_PaddingLeft
  name: PaddingLeft
  nameWithType: SectionBoxLayout.PaddingLeft
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingLeft
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_PaddingRight
  name: PaddingRight
  nameWithType: SectionBoxLayout.PaddingRight
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.PaddingRight
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_BorderColor
  name: BorderColor
  nameWithType: SectionBoxLayout.BorderColor
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderColor
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_BorderWidth
  name: BorderWidth
  nameWithType: SectionBoxLayout.BorderWidth
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderWidth
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_BorderStyle
  name: BorderStyle
  nameWithType: SectionBoxLayout.BorderStyle
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderStyle
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_BorderRadius
  name: BorderRadius
  nameWithType: SectionBoxLayout.BorderRadius
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BorderRadius
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_HProportion
  name: HProportion
  nameWithType: SectionBoxLayout.HProportion
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.HProportion
- uid: System.Nullable{System.Double}
  commentId: T:System.Nullable{System.Double}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.double
  name: double?
  nameWithType: double?
  fullName: double?
  nameWithType.vb: Double?
  fullName.vb: Double?
  name.vb: Double?
  spec.csharp:
  - uid: System.Double
    name: double
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.double
  - name: '?'
  spec.vb:
  - uid: System.Double
    name: Double
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.double
  - name: '?'
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_BgColor
  name: BgColor
  nameWithType: SectionBoxLayout.BgColor
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.BgColor
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_SectionUrl
  name: SectionUrl
  nameWithType: SectionBoxLayout.SectionUrl
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.SectionUrl
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_MinHeight
  name: MinHeight
  nameWithType: SectionBoxLayout.MinHeight
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.MinHeight
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Subtitle
  name: Subtitle
  nameWithType: SectionBoxLayout.Subtitle
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Subtitle
- uid: System.Nullable{System.Boolean}
  commentId: T:System.Nullable{System.Boolean}
  parent: System
  definition: System.Nullable`1
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool?
  nameWithType: bool?
  fullName: bool?
  nameWithType.vb: Boolean?
  fullName.vb: Boolean?
  name.vb: Boolean?
  spec.csharp:
  - uid: System.Boolean
    name: bool
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.boolean
  - name: '?'
  spec.vb:
  - uid: System.Boolean
    name: Boolean
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.boolean
  - name: '?'
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Conditions
  name: Conditions
  nameWithType: SectionBoxLayout.Conditions
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Conditions
- uid: adas_core.Domain.Models.MongoModels.ConditionsConfig
  commentId: T:adas_core.Domain.Models.MongoModels.ConditionsConfig
  parent: adas_core.Domain.Models.MongoModels
  href: adas_core.Domain.Models.MongoModels.ConditionsConfig.html
  name: ConditionsConfig
  nameWithType: ConditionsConfig
  fullName: adas_core.Domain.Models.MongoModels.ConditionsConfig
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Direction
  name: Direction
  nameWithType: SectionBoxLayout.Direction
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Direction
- uid: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum
  commentId: T:adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum
  parent: adas_core.Domain.Enums
  href: adas_core.Domain.Enums.DisplayConfigEnums.html
  name: DisplayConfigEnums.DirectionEnum
  nameWithType: DisplayConfigEnums.DirectionEnum
  fullName: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum
  spec.csharp:
  - uid: adas_core.Domain.Enums.DisplayConfigEnums
    name: DisplayConfigEnums
    href: adas_core.Domain.Enums.DisplayConfigEnums.html
  - name: .
  - uid: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum
    name: DirectionEnum
    href: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum.html
  spec.vb:
  - uid: adas_core.Domain.Enums.DisplayConfigEnums
    name: DisplayConfigEnums
    href: adas_core.Domain.Enums.DisplayConfigEnums.html
  - name: .
  - uid: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum
    name: DirectionEnum
    href: adas_core.Domain.Enums.DisplayConfigEnums.DirectionEnum.html
- uid: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows*
  commentId: Overload:adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows
  href: adas_core.Domain.Models.MongoModels.SectionBoxLayout.html#adas_core_Domain_Models_MongoModels_SectionBoxLayout_Rows
  name: Rows
  nameWithType: SectionBoxLayout.Rows
  fullName: adas_core.Domain.Models.MongoModels.SectionBoxLayout.Rows
- uid: System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.RowBoxLayout}
  commentId: T:System.Collections.Generic.List{adas_core.Domain.Models.MongoModels.RowBoxLayout}
  parent: System.Collections.Generic
  definition: System.Collections.Generic.List`1
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<RowBoxLayout>
  nameWithType: List<RowBoxLayout>
  fullName: System.Collections.Generic.List<adas_core.Domain.Models.MongoModels.RowBoxLayout>
  nameWithType.vb: List(Of RowBoxLayout)
  fullName.vb: System.Collections.Generic.List(Of adas_core.Domain.Models.MongoModels.RowBoxLayout)
  name.vb: List(Of RowBoxLayout)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - uid: adas_core.Domain.Models.MongoModels.RowBoxLayout
    name: RowBoxLayout
    href: adas_core.Domain.Models.MongoModels.RowBoxLayout.html
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - uid: adas_core.Domain.Models.MongoModels.RowBoxLayout
    name: RowBoxLayout
    href: adas_core.Domain.Models.MongoModels.RowBoxLayout.html
  - name: )
- uid: System.Collections.Generic.List`1
  commentId: T:System.Collections.Generic.List`1
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  name: List<T>
  nameWithType: List<T>
  fullName: System.Collections.Generic.List<T>
  nameWithType.vb: List(Of T)
  fullName.vb: System.Collections.Generic.List(Of T)
  name.vb: List(Of T)
  spec.csharp:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: <
  - name: T
  - name: '>'
  spec.vb:
  - uid: System.Collections.Generic.List`1
    name: List
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic.list-1
  - name: (
  - name: Of
  - name: " "
  - name: T
  - name: )
- uid: System.Collections.Generic
  commentId: N:System.Collections.Generic
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System.Collections.Generic
  nameWithType: System.Collections.Generic
  fullName: System.Collections.Generic
  spec.csharp:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
  spec.vb:
  - uid: System
    name: System
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system
  - name: .
  - uid: System.Collections
    name: Collections
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections
  - name: .
  - uid: System.Collections.Generic
    name: Generic
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.collections.generic
